Package com.ngrok.definitions

# Class EndpointSamlMutate

java.lang.Object
com.ngrok.definitions.EndpointSamlMutate

public class EndpointSamlMutate extends Object
A class encapsulating the `EndpointSamlMutate` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EndpointSamlMutate.Builder`
  Builder class for `EndpointSamlMutate`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<Boolean>`
  `getAllowIdpInitiated()`
  If true, the IdP may initiate a login directly (e.g.
  `List<String>`
  `getAuthorizedGroups()`
  If present, only users who are a member of one of the listed groups may access the target endpoint.
  `String`
  `getCookiePrefix()`
  the prefix of the session cookie that ngrok sets on the http client to cache authentication.
  `Optional<Boolean>`
  `getEnabled()`
  `true` if the module will be applied to traffic, `false` to disable.
  `boolean`
  `getForceAuthn()`
  If true, indicates that whenever we redirect a user to the IdP for authentication that the IdP must prompt the user for authentication credentials even if the user already has a valid session with the IdP.
  `String`
  `getIdpMetadata()`
  The full XML IdP EntityDescriptor.
  `long`
  `getInactivityTimeout()`
  Integer number of seconds of inactivity after which if the user has not accessed the endpoint, their session will time out and they will be forced to reauthenticate.
  `Duration`
  `getMaximumDuration()`
  Integer number of seconds of the maximum duration of an authenticated session.
  `String`
  `getNameidFormat()`
  Defines the name identifier format the SP expects the IdP to use in its assertions to identify subjects.
  `boolean`
  `getOptionsPassthrough()`
  Do not enforce authentication on HTTP OPTIONS requests.
  `int`
  `hashCode()`
  `static EndpointSamlMutate.Builder`
  `newBuilder()`
  Creates a new builder for the `EndpointSamlMutate` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EndpointSamlMutate.Builder newBuilder()
    Creates a new builder for the `EndpointSamlMutate` type.
    Returns:
      a new `EndpointSamlMutate.Builder`

  - ### getEnabled

    public Optional<Boolean> getEnabled()
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Returns:
      the value of the property as a `boolean` wrapped in an `Optional`

  - ### getOptionsPassthrough

    public boolean getOptionsPassthrough()
    Do not enforce authentication on HTTP OPTIONS requests. necessary if you are supporting CORS.
    Returns:
      the value of the property as a `boolean`

  - ### getCookiePrefix

    public String getCookiePrefix()
    the prefix of the session cookie that ngrok sets on the http client to cache authentication. default is 'ngrok.'
    Returns:
      the value of the property as a `String`

  - ### getInactivityTimeout

    public long getInactivityTimeout()
    Integer number of seconds of inactivity after which if the user has not accessed the endpoint, their session will time out and they will be forced to reauthenticate.
    Returns:
      the value of the property as a `long`

  - ### getMaximumDuration

    public Duration getMaximumDuration()
    Integer number of seconds of the maximum duration of an authenticated session. After this period is exceeded, a user must reauthenticate.
    Returns:
      the value of the property as a `Duration`

  - ### getIdpMetadata

    public String getIdpMetadata()
    The full XML IdP EntityDescriptor. Your IdP may provide this to you as a a file to download or as a URL.
    Returns:
      the value of the property as a `String`

  - ### getForceAuthn

    public boolean getForceAuthn()
    If true, indicates that whenever we redirect a user to the IdP for authentication that the IdP must prompt the user for authentication credentials even if the user already has a valid session with the IdP.
    Returns:
      the value of the property as a `boolean`

  - ### getAllowIdpInitiated

    public Optional<Boolean> getAllowIdpInitiated()
    If true, the IdP may initiate a login directly (e.g. the user does not need to visit the endpoint first and then be redirected). The IdP should set the `RelayState` parameter to the target URL of the resource they want the user to be redirected to after the SAML login assertion has been processed.
    Returns:
      the value of the property as a `boolean` wrapped in an `Optional`

  - ### getAuthorizedGroups

    public List<String> getAuthorizedGroups()
    If present, only users who are a member of one of the listed groups may access the target endpoint.
    Returns:
      the value of the property as a `List` of `String`

  - ### getNameidFormat

    public String getNameidFormat()
    Defines the name identifier format the SP expects the IdP to use in its assertions to identify subjects. If unspecified, a default value of `urn:oasis:names:tc:SAML:2.0:nameid-format:persistent` will be used. A subset of the allowed values enumerated by the SAML specification are supported.
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`